#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Implementation of SVG Tiny
Summary(pl.UTF-8):	Implementacja SVG Tiny
Name:		libsvgtiny
Version:	0.1.8
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	77bc020beb58781a11404ff09c261fc3
URL:		http://www.netsurf-browser.org/projects/libsvgtiny/
BuildRequires:	gperf
BuildRequires:	libdom-devel >= 0.4.2
BuildRequires:	libwapcaplet-devel >= 0.4.1
BuildRequires:	netsurf-buildsystem >= 1.10
BuildRequires:	pkgconfig
Requires:	libdom >= 0.4.2
Requires:	libwapcaplet >= 0.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsvgtiny is an implementation of SVG Tiny, written in C. It is
currently in development for use with NetSurf and is intended to be
suitable for use in other projects too.

The overall idea of the library is to take some SVG as input, and
return a list of paths and texts which can be rendered easily. The
library does not do the actual rendering.

%description -l pl.UTF-8
Libsvgtiny to implementacja SVG Tiny napisana w C. Jest obecnie
rozwijana do wykorzystania w ramach projektu NetSurf, ale także z
myślą o możliwości użycia w innych projektach.

Ogólna idea biblioteki polega na przyjęciu SVG na wejściu i zwróceniu
listy ścieżek oraz tekstów, które można łatwo wyrenderować. Biblioteka
nie wykonuje samego renderowania.

%package devel
Summary:	libsvgtiny library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsvgtiny
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdom-devel >= 0.4.2

%description devel
This package contains the include files and other resources you can
use to incorporate libsvgtiny into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libsvgtiny w
swoich programach.

%package static
Summary:	libsvgtiny static library
Summary(pl.UTF-8):	Statyczna biblioteka libsvgtiny
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libsvgtiny library.

%description static -l pl.UTF-8
Statyczna biblioteka libsvgtiny.

%prep
%setup -q

%build
export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} -j1 \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} -j1 \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT

export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} -j1 install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -j1 install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libsvgtiny.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvgtiny.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvgtiny.so
%{_includedir}/svgtiny.h
%{_pkgconfigdir}/libsvgtiny.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsvgtiny.a
%endif
%changelog
* Sun Apr 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsvgtiny.git;a=log;h=master

* Sat Jan 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 242461e
- updated -devel dependency

* Sat Jan 06 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 61d823f
- updated to 0.1.8

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> d0ead88
- updated to 0.1.7

* Mon Oct 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 5f6ffbc
- updated to 0.1.6

* Thu Nov 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 6c05dd2
- updated runtime dependencies

* Mon Nov 21 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 40317f0
- updated to 0.1.5

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 4ef996f
- unified install, dropped outdated patch

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> adec9c7
- updated to 0.1.4

* Thu Jul 16 2015 Jan Rękorajski <baggins@pld-linux.org> a12eaeb
- parallel build is broken

* Wed Apr 08 2015 Jakub Bogusz <qboosh@pld-linux.org> ff8fa3a
- updated -devel dependencies

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> b8d631d
- updated to 0.1.3

* Tue Dec 02 2014 Jakub Bogusz <qboosh@pld-linux.org> c08c5d4
- updated install time dependecies too

* Mon Dec 01 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6794123
- updated to 0.1.2

* Tue Nov 25 2014 Jan Rękorajski <baggins@pld-linux.org> 0539a61
- drop Werror (fails to build on current glibc)
- rel 2

* Tue May 13 2014 Jakub Bogusz <qboosh@pld-linux.org> a274a01
- pl
- use LIBDIR to get proper libs directory, also in .pc files
- install time dependencies

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 28c7796
- obsolete lib.patch deleted

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 475fbb2
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0d66f58
- up to 0.1.1
- commented the lib.patch

* Wed Sep 04 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 96a97d9
- BR: gperf

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 0e8c2b5
- verbose files; package ghost soname symlink

